org.appng.xml.platform

## Class SectionDef

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.SectionDef

- All Implemented Interfaces:
    Serializable

      public class SectionDef
      extends BaseObject
      implements Serializable

  Defines a section within a `StructureDef`. A section contains multiple `SectionelementDef`s.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SectionConfig` | `config`
    `protected List<SectionelementDef>` | `element`
    `protected String` | `hidden`
    `protected String` | `id`
    `protected Label` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionDef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SectionConfig` | `getConfig()` Gets the value of the config property.
    `List<SectionelementDef>` | `getElement()` Gets the value of the element property.
    `String` | `getHidden()` If evaluating to `true`, the resulting `Section` will not be visible to the user.
    `String` | `getId()` The ID of the section, must be unique within the page.
    `Label` | `getTitle()` Gets the value of the title property.
    `void` | `setConfig(SectionConfig value)` Sets the value of the config property.
    `void` | `setHidden(String value)` Sets the value of the hidden property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setTitle(Label value)` Sets the value of the title property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected SectionConfig config

    - #### title

          protected Label title

    - #### element

          protected List<SectionelementDef> element

    - #### hidden

          protected String hidden

    - #### id

          protected String id

  - ### Constructor Detail

    - #### SectionDef

          public SectionDef()

  - ### Method Detail

    - #### getConfig

          public SectionConfig getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `SectionConfig`

    - #### setConfig

          public void setConfig(SectionConfig value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `SectionConfig`

    - #### getTitle

          public Label getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `Label`

    - #### setTitle

          public void setTitle(Label value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getElement

          public List<SectionelementDef> getElement()

      Gets the value of the element property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the element property.

      For example, to add a new item, do as follows:

              getElement().add(newItem);

      Objects of the following type(s) are allowed in the list `SectionelementDef`

    - #### getHidden

          public String getHidden()

      If evaluating to `true`, the resulting `Section` will not be visible to the user.
      Returns:
        possible object is `String`

    - #### setHidden

          public void setHidden(String value)

      Sets the value of the hidden property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      The ID of the section, must be unique within the page.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.